Bug 245914 - WXSGA+ support
WXSGA+ support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.0
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 08:18 EDT by andy prowse
Modified: 2008-05-21 10:34 EDT (History)
0 users

See Also:
Fixed In Version: RHEA-2008-0420
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg logs and conf file (25.75 KB, application/x-compressed-tar)
2007-06-27 14:34 EDT, andy prowse
no flags Details
xorg.conf (1.40 KB, application/octet-stream)
2007-06-27 14:37 EDT, andy prowse
no flags Details
Xorg.0.log (58.05 KB, text/plain)
2007-06-27 14:37 EDT, andy prowse
no flags Details
Xorg.setup.log (1.32 KB, text/plain)
2007-06-27 14:39 EDT, andy prowse
no flags Details

  None (edit)
Description andy prowse 2007-06-27 08:18:39 EDT
Description of problem:


Version-Release number of selected component (if applicable):

xorg 7.1
How reproducible:
WXSGA+ is not supported in xorg 7.1

Steps to Reproduce:
1.install
2.configure x
3.no wxsga+ support
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2007-06-27 11:18:09 EDT
For official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket,
or alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1
to speak directly with a support associate and escalate an issue.

Also if you want to keep this bug alive, we need some additional information
that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 andy prowse 2007-06-27 14:34:33 EDT
Created attachment 158035 [details]
xorg logs and conf file

These are the /var/log/X* and /etc/X11/xorg.conf files from my system
Comment 3 andy prowse 2007-06-27 14:37:07 EDT
Created attachment 158038 [details]
xorg.conf

uncompressed as requested
Comment 4 andy prowse 2007-06-27 14:37:50 EDT
Created attachment 158039 [details]
Xorg.0.log
Comment 5 andy prowse 2007-06-27 14:39:11 EDT
Created attachment 158040 [details]
Xorg.setup.log

Please note, when I the system sets up the xorg.conf automatically, it maxes
out at 800x600, it cannot detect the screen.
Comment 6 Adam Jackson 2007-12-18 19:02:12 EST
Intel 965 graphics was not supported in 5.0, which I believe is what that log is
from.  5.1 added support but was still limited to vesa mode setup.

5.2 will feature an updated intel driver with native mode setup for this chip.
Comment 7 RHEL Product and Program Management 2007-12-18 19:05:16 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Adam Jackson 2008-01-21 17:32:35 EST
Built as xorg-x11-drv-i810-1.6.5-9.6.0.2.el5, MODIFIED.  Note that this is
purely a userspace build.  ACPI hotkey events are still known to be broken,
pending additional kernel work.

This package is slated to be included in the upcoming RHEL5.2 beta.  In the
meantime, test packages are available here:

http://people.redhat.com/ajackson/intel/9.6.0.2.el5/

Please test, and report any remaining issues.
Comment 11 Cameron Meadors 2008-04-08 15:24:18 EDT
1680x1050 works.
Comment 13 errata-xmlrpc 2008-05-21 10:34:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0420.html

Note You need to log in before you can comment on or make changes to this bug.